package org.kde.qt;


/** {@link QNetworkProtocol} emits these signals */
public interface QNetworkProtocolSignals {
//	void newChildren( QValueList<QUrlInfo>* arg1, QNetworkOperation res );
	void connectionStateChanged( int state, String data );
	void removed( QNetworkOperation res );
	void createdDirectory( QUrlInfo arg1, QNetworkOperation res );
	void destroyed( QObject obj );
	void data( byte[] arg1, QNetworkOperation res );
	void dataTransferProgress( int bytesDone, int bytesTotal, QNetworkOperation res );
	void newChild( QUrlInfo arg1, QNetworkOperation res );
	void itemChanged( QNetworkOperation res );
	void finished( QNetworkOperation res );
	void start( QNetworkOperation res );
}

